]> git.pld-linux.org Git - packages/gstreamer.git/commitdiff
- more build requirements (some commented out due to compilation
authorwrobell <wrobell@pld-linux.org>
Sat, 24 Nov 2001 04:51:47 +0000 (04:51 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
  problems...)
- use DESTDIR instead of prefix during install
- NFY -> I see long way...

Changed files:
    gstreamer.spec -> 1.6

gstreamer.spec

index 1e41d056c9f3f0ece82967d308b434dc196b2eb7..77d9695ff8ff7568a32ccb785b27fa981beb2ff9 100644 (file)
@@ -9,36 +9,42 @@ Group(es):    Bibliotecas
 Group(fr):     Librairies
 Group(pl):     Biblioteki
 Source0:       http://download.sourceforge.net/gstreamer/%{name}-%{version}.tar.bz2
+#Patch0:       %{name}-buffer.patch
 URL:           http://gstreamer.net
 BuildRequires: gtk+-devel
 BuildRequires: libxml-devel
 BuildRequires: arts-devel
-BuildRequires: xmms-devel
 BuildRequires: gdk-pixbuf-devel
-BuildRequires: alsa-lib-devel
 BuildRequires: audiofile-devel
 BuildRequires: esound-devel
-BuildRequires: libglade-devel
 BuildRequires: libjpeg-devel
 BuildRequires: libvorbis-devel
 BuildRequires: libghttp-devel
 BuildRequires: Hermes-devel
-BuildRequires: avifile-devel
 BuildRequires: libraw1394-devel
 BuildRequires: gnome-libs-devel
-BuildRequires: gnome-vfs-devel
 BuildRequires: mpeg2dec-devel
 BuildRequires: libshout-devel
 BuildRequires: libgsm-devel
 BuildRequires: cdparanoia-III-devel
-BuildRequires: lame-libs-devel
 BuildRequires: libdv-devel
 BuildRequires: aalib-devel
-#BuildRequires:        quicktime4linux-devel
-BuildRequires: SDL-devel
-BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
+BuildRequires: quicktime4linux-devel
+BuildRequires: mad-devel
+BuildRequires: nasm
+
+# it should compile with, but it is not possible
+# without patching... I think...
+# check also configure switches below...
+#BuildRequires:        lame-libs-devel
+#BuildRequires:        avifile-devel
+#BuildRequires:        xmms-devel
+#BuildRequires:        alsa-lib-devel
+#BuildRequires:        SDL-devel
+#BuildRequires:        gnome-vfs-devel
+#BuildRequires:        libglade-devel
 
-%define                _prefix         /usr/X11R6
+BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
 
 %description
 GStreamer is a streaming-media framework, based on graphs of filters
@@ -69,23 +75,23 @@ develop applications and plugins for GStreamer.
 
 %prep
 %setup -q
+#%patch0 -p1
 
 %build
-rm missing
-#LDFLAGS="-L/usr/X11R6/lib"
-#autoconf
+LDFLAGS="-L/usr/X11R6/lib"
+export LDFLAGS
 %configure \
        --prefix=%{_prefix} \
        --enable-libmmx \
        --enable-libghttp \
        --enable-gdk_pixbuf \
        --enable-libaudiofile \
-       --enable-alsa \
-       --enable-libxmms \
        --enable-libesd \
        --enable-arts \
-       --disable-atomic \
+       --enable-atomic \
        --enable-autoplug
+#      --enable-alsa \
+#      --enable-libxmms \
 
 %{__make}
 
@@ -93,7 +99,7 @@ rm missing
 rm -rf $RPM_BUILD_ROOT
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
 
-%{__make} prefix=$RPM_BUILD_ROOT%{_prefix} install
+%{__make} DESTDIR=$RPM_BUILD_ROOT install
 
 %clean
 [ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
This page took 0.033016 seconds and 4 git commands to generate.